%define name wxBase
%define version 2.2.7
%define release 2mdk

%define major 0
%define libname lib%{name}%{major}

Summary: wxBase library - non-GUI support classes of wxWindows toolkit
Name: %{name}
Version: %{version}
Release: %{release}
License: wxWindows Licence
Group: System/Libraries
Source: %{name}-%{version}-0.tar.bz2
URL: http://www.wxwindows.org/
BuildRoot: %_tmppath/%name-buildroot

%description
wxBase is a collection of C++ classes providing basic data structures (strings,
lists, arrays), powerful wxDateTime class for date manipulations, portable
wrappers around many OS-specific functions allowing to build the same program
under all supported folders, wxThread class for writing multithreaded programs
using either Win32 or POSIX threads and much more. wxBase currently supports
the following platforms: Win32, generic Unix (Linux, FreeBSD, Solaris, HP-UX,
...) and BeOS.

%package -n %{libname}
Group: System/Libraries
Summary: wxBase library

%description -n %{libname}
wxBase is a collection of C++ classes providing basic data structures (strings,
lists, arrays), powerful wxDateTime class for date manipulations, portable
wrappers around many OS-specific functions allowing to build the same program
under all supported folders, wxThread class for writing multithreaded programs
using either Win32 or POSIX threads and much more. wxBase currently supports
the following platforms: Win32, generic Unix (Linux, FreeBSD, Solaris, HP-UX,
...) and BeOS.

This package contains the libraries

%package -n %{libname}-devel
Summary: wxBase headers needed for developping with wxBase
Group: Development/Other
Requires: %{libname} = %{version}
Provides: libwxBase-devel

%description -n %{libname}-devel
Header files for wxBase. You need them to develop programs using wxBase.

%prep

%setup -n wxBase-%{version}

%configure --disable-gui --disable-std_iostreams \
	--enable-optimise --with-zlib=sys \
	--with-png=sys --with-libjpeg=sys \
	-with-libtiff=sys 
	

%build

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr (-, root, root)
%doc COPYING.LIB LICENCE.txt README.txt SYMBOLS.txt
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%dir %{_libdir}/wx
%dir %{_libdir}/wx/include
%dir %{_libdir}/wx/include/wx
%{_libdir}/wx/include/wx/base/setup.h
%{_bindir}/*


%changelog
* Wed Feb 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7-2mdk
- use shared libs

* Mon Jun 18 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.2.7-1mdk
- upgraded to 2.2.7

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.5-1mdk
- new in contribs
